curl
curl -X GET "https://api.services.payward.com/v1/funds/deposits/methods/USDC" \
-H "API-Key: $PWS_API_KEY" \
-H "API-Nonce: $PWS_API_NONCE" \
-H "API-Sign: $PWS_API_SIGN"import requests
url = "https://api.services.payward.com/v1/accounts/{account_id}/funds/deposits/methods/{asset_symbol}"
headers = {
"API-Key": "<api-key>",
"API-Nonce": "<api-key>",
"API-Sign": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'API-Key': '<api-key>', 'API-Nonce': '<api-key>', 'API-Sign': '<api-key>'}
};
fetch('https://api.services.payward.com/v1/accounts/{account_id}/funds/deposits/methods/{asset_symbol}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "b3a7d8b4-9f36-4c2e-9c1e-7b9e6f9a0a11",
"network": "Bitcoin",
"network_info": {
"explorer": "https://blockstream.info/tx/{txid}",
"confirmations": "3",
"est_confirmation_time": "30 minutes",
"contract_address": null
},
"fee": {
"symbol": "BTC",
"name": "Bitcoin",
"type": "crypto",
"amount": "0.00000000"
},
"minimum": {
"symbol": "BTC",
"name": "Bitcoin",
"type": "crypto",
"amount": "0.00010000"
},
"maximum": {
"symbol": "BTC",
"name": "Bitcoin",
"type": "crypto",
"amount": "50.00000000"
},
"address_setup_fee": {
"symbol": "BTC",
"name": "Bitcoin",
"type": "crypto",
"amount": "0.00000000"
},
"fee_percentage": "0.00",
"deposit_limit_meta": [
{
"limit_type": "EquivAmount",
"limits": {
"86400": {
"remaining": "50000.00",
"maximum": "50000.00"
},
"604800": {
"remaining": "180000.00",
"maximum": "200000.00"
}
}
}
]
}
],
"next_page_token": null
}{
"error": {
"type": "<string>",
"status": 400,
"instance": "<string>",
"code": "bad_request",
"doc_url": "<string>",
"causes": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "<string>",
"status": 401,
"instance": "<string>",
"code": "unauthenticated",
"doc_url": "<string>",
"causes": [
{}
]
}
}{
"error": {
"type": "<string>",
"status": 504,
"instance": "<string>",
"code": "deadline_exceeded",
"doc_url": "<string>",
"causes": [
{}
]
}
}{
"error": {
"type": "<string>",
"status": 429,
"instance": "<string>",
"code": "resource_exhausted",
"doc_url": "<string>",
"causes": [
{}
]
}
}{
"error": {
"type": "<string>",
"status": 500,
"instance": "<string>",
"code": "internal",
"doc_url": "<string>",
"causes": [
{}
]
}
}{
"error": {
"type": "<string>",
"status": 503,
"instance": "<string>",
"code": "unavailable",
"doc_url": "<string>",
"causes": [
{}
]
}
}Funds
List Deposit Methods
List available deposit methods for a given asset. Returns method details including fees, limits, and network information.
GET
/
v1
/
accounts
/
{account_id}
/
funds
/
deposits
/
methods
/
{asset_symbol}
curl
curl -X GET "https://api.services.payward.com/v1/funds/deposits/methods/USDC" \
-H "API-Key: $PWS_API_KEY" \
-H "API-Nonce: $PWS_API_NONCE" \
-H "API-Sign: $PWS_API_SIGN"import requests
url = "https://api.services.payward.com/v1/accounts/{account_id}/funds/deposits/methods/{asset_symbol}"
headers = {
"API-Key": "<api-key>",
"API-Nonce": "<api-key>",
"API-Sign": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'API-Key': '<api-key>', 'API-Nonce': '<api-key>', 'API-Sign': '<api-key>'}
};
fetch('https://api.services.payward.com/v1/accounts/{account_id}/funds/deposits/methods/{asset_symbol}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "b3a7d8b4-9f36-4c2e-9c1e-7b9e6f9a0a11",
"network": "Bitcoin",
"network_info": {
"explorer": "https://blockstream.info/tx/{txid}",
"confirmations": "3",
"est_confirmation_time": "30 minutes",
"contract_address": null
},
"fee": {
"symbol": "BTC",
"name": "Bitcoin",
"type": "crypto",
"amount": "0.00000000"
},
"minimum": {
"symbol": "BTC",
"name": "Bitcoin",
"type": "crypto",
"amount": "0.00010000"
},
"maximum": {
"symbol": "BTC",
"name": "Bitcoin",
"type": "crypto",
"amount": "50.00000000"
},
"address_setup_fee": {
"symbol": "BTC",
"name": "Bitcoin",
"type": "crypto",
"amount": "0.00000000"
},
"fee_percentage": "0.00",
"deposit_limit_meta": [
{
"limit_type": "EquivAmount",
"limits": {
"86400": {
"remaining": "50000.00",
"maximum": "50000.00"
},
"604800": {
"remaining": "180000.00",
"maximum": "200000.00"
}
}
}
]
}
],
"next_page_token": null
}{
"error": {
"type": "<string>",
"status": 400,
"instance": "<string>",
"code": "bad_request",
"doc_url": "<string>",
"causes": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "<string>",
"status": 401,
"instance": "<string>",
"code": "unauthenticated",
"doc_url": "<string>",
"causes": [
{}
]
}
}{
"error": {
"type": "<string>",
"status": 504,
"instance": "<string>",
"code": "deadline_exceeded",
"doc_url": "<string>",
"causes": [
{}
]
}
}{
"error": {
"type": "<string>",
"status": 429,
"instance": "<string>",
"code": "resource_exhausted",
"doc_url": "<string>",
"causes": [
{}
]
}
}{
"error": {
"type": "<string>",
"status": 500,
"instance": "<string>",
"code": "internal",
"doc_url": "<string>",
"causes": [
{}
]
}
}{
"error": {
"type": "<string>",
"status": 503,
"instance": "<string>",
"code": "unavailable",
"doc_url": "<string>",
"causes": [
{}
]
}
}Authorizations
Your public API key. Identifies the partner making the request.
Monotonically increasing nonce included in the request signature.
HMAC signature over the request, computed with your private key.
Path Parameters
ID of the account the request applies to. This refers to one of the accounts held by the user the request is acting on behalf of (typically the user's main account, but any of the user's accounts is accepted). Routes the request to that specific account container. Canonical identifier for an account in the Payward public API.
Required string length:
14 - 42Ticker symbol of an asset (e.g. BTC, USDC, EUR).
Required string length:
3 - 16Example:
"BTC"
⌘I